Submit billing details
curl --request POST \
--url https://api.creditor.younegotiate.com/account-profile/billing \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "Jane",
"last_name": "Admin",
"address": "100 Main Street",
"address2": "Suite 200",
"city": "New York",
"state": "NY",
"zip": "10001",
"accept_terms_and_conditions": true,
"basis_theory_response": {
"id": "token_intent_123",
"type": "card",
"fingerprint": "payment-fingerprint"
},
"payment_method": "card",
"account_type": null
}
'import requests
url = "https://api.creditor.younegotiate.com/account-profile/billing"
payload = {
"first_name": "Jane",
"last_name": "Admin",
"address": "100 Main Street",
"address2": "Suite 200",
"city": "New York",
"state": "NY",
"zip": "10001",
"accept_terms_and_conditions": True,
"basis_theory_response": {
"id": "token_intent_123",
"type": "card",
"fingerprint": "payment-fingerprint"
},
"payment_method": "card",
"account_type": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'Jane',
last_name: 'Admin',
address: '100 Main Street',
address2: 'Suite 200',
city: 'New York',
state: 'NY',
zip: '10001',
accept_terms_and_conditions: true,
basis_theory_response: {id: 'token_intent_123', type: 'card', fingerprint: 'payment-fingerprint'},
payment_method: 'card',
account_type: null
})
};
fetch('https://api.creditor.younegotiate.com/account-profile/billing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Submit billing details
Submit tokenized card or ACH billing details, charge the selected membership plan, store billing details, and activate the company membership when payment succeeds or is processing.
POST
/
account-profile
/
billing
Submit billing details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
2 - 20Pattern:
^[A-Za-z]+$Required string length:
2 - 30Pattern:
^[A-Za-z]+$Required string length:
2 - 100Required string length:
2 - 30Pattern:
^[A-Za-z]+(?: [A-Za-z]+)*$Required string length:
2Pattern:
^\d{5}(?:-\d{4})?$Show child attributes
Show child attributes
Membership payment method, such as card or ACH.
Required string length:
2 - 100Required when the payment method is ACH.
Response
Billing details stored.
Last modified on July 20, 2026
Was this page helpful?
⌘I

